aboutsummaryrefslogtreecommitdiff
path: root/test/sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/sh')
-rwxr-xr-xtest/sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/test/sh b/test/sh
index 354a40c7..47e41c77 100755
--- a/test/sh
+++ b/test/sh
@@ -1,7 +1,6 @@
#!/bin/sh
for sh in sh/* sh/profile.d/* ; do
- if [ -f "$sh" ] && ! sh -n "$sh" ; then
- exit 1
- fi
+ [ -f "$sh" ] || continue
+ sh -n "$sh" || exit
done
printf 'All sh(1) scripts parsed successfully.\n'